<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Ejercicio 3</title>
	<style type="text/css">
	.formulario{
		font-family: "Courier New", Courier, monospace;
		font-size: 12px;
		font-style: italic;
		text-transform: uppercase;
		background-color: #CCCCCC;
		border: thin solid #000000;
		padding: 20px;
		width: 640px;
	}	

	</style>
	<script type="text/javascript">
	
	
	function crear(){

		let n1, n2, objeto_ventana;

		//coloco los valores de las cajas de texto en dos nuevas variables por comodidad
		//n1 = document.form1.numero1.value * 1;
		//n2 = document.form1.numero2.value * 1;

		n1 = Number(document.form1.numero1.value);
		n2 = Number(document.form1.numero2.value);
			console.log(n1);
			console.log(n2);

		if (isNaN(n1)==false && isNaN(n2)==false) {
			if (n1!=='' && n2!=='') {
				//creo una nueva ventana
				objeto_ventana = window.open();

				for (;n1<n2; n1++){
					objeto_ventana.document.write(n1 + "<br>");
				}

				objeto_ventana.document.close();
			}
		}
	}

	</script>
</head>
<body>
	<form action="" method="post" name="form1" class="formulario">	
		Numero 1
		<input id="numero1" type="text" name="numero1"><br>
		Numero 2
		<input id="numero2" type="text" name="numero2"><br><br>
		<input id="ejecutar" type="button" onclick="crear()" value="Ejecutar">
	</form>
</body>
</html>